ModelSell 文档
视频系列Seedance 2.0

上传 Seedance 2.0 素材

POST
/api/assets/upload

上传图片、视频或音频素材到当前用户素材库。素材上传接口同时支持国内版本和海外版本模型:国内版本模型不需要传入 model 查询参数;海外版本 dreamina-seedance-2-0-fast-260128 需要在请求地址添加 ?model=dreamina-seedance-2-0-fast-260128,系统会选择对应的海外版本素材渠道。

该接口只接受公网 URL,不支持 Base64;上传成功后可在 Seedance 2.0 官方 content[] 格式或 /v1/video/generations 通用视频格式中使用 asset://<asset_id> 引用。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Query Parameters

model?string

指定用于选择素材上传渠道的模型 ID。上传 dreamina-seedance-2-0-fast-260128 海外版本素材时传入该参数。

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/assets/upload?model=dreamina-seedance-2-0-fast-260128" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/image.png",    "asset_type": "Image",    "name": "示例图片"  }'
{
  "code": 0,
  "message": "ok",
  "data": {
    "Id": "asset-20260325152211-vcchd"
  }
}
Empty
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}